* {
    font-family: "Lato", sans-serif;
  }
:root {
    --coloractive: #5f37cf;
    --colorWhite: #ffffff;
    --colormain: #111a37;
    --colorGrey: #acaebd;
}
/* My Page Area */
.my-page {
    padding: 40px 0 80px;
}
.my-page .list_play {
    margin-top: 0;
}
.mypage-tabs {
    padding: 30px;
    background-color: var(--colorWhite);
    margin-bottom: 30px;
}
.title {
    font-size: 24px;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.21;
    letter-spacing: normal;
    text-align: left;
    color: var(--colormain);
    padding-bottom: 22px;
    margin-bottom: 0;
}
.tabs-item .tabs-link {
    font-size: 16px;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.19;
    letter-spacing: normal;
    text-align: left;
    color: var(--colorGrey);
    position: relative;
    padding-bottom: 10px;
}

.tabs-item .tabs-link.active {
    color: var(--colormain);
}
.tabs-item .tabs-link:hover {
   color: #111a37;
}
.tabs-item .tabs-link::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 3px;
    background-color: var(--coloractive);
    border-radius: 5px;
    transition: width 0.4s ease;
}
.tabs-item .tabs-link.active::before,
.tabs-item .tabs-link:hover::before {
    width: 46px;
}
.tabs-item .tabs-link:not(:last-child) {
    padding-right: 30px;
}

/* Tabs content */
.playlist-tabs .public-playlist {
    margin-bottom: 30px;
}
.playlist-tabs .playlist-title {
    font-size: 24px;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.21;
    letter-spacing: normal;
    text-align: left;
    color: var(--colormain);
    padding-bottom: 30px;
}
.playlist-generate {
    position: relative;
    padding-top: 100%;
    width: 100%; 
}
.new .new-title {
    font-size: 20px;
    line-height: 24px;
    color: #333333;
    margin: 0;
}
.playlist-generate .new {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 12px;
    border: solid 1px var(--coloractive);
}
.icon-add {
    width: 64px;
    height: 64px;
    background: #5f37cf;
    border-radius: 50%;
    position: relative;
    margin-bottom: 20px;
    margin-top: 52px;
}
.icon-add img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.list_play .playitem .title {
    margin-bottom: 0;
    padding-bottom: 10px;
    line-height: 24px;
}
.playlist-tabs .browselist .playitem {
    margin-bottom: 34px;
}
.btn-extends {
    display: none;
}
.title-mobile {
    display: none;
}
.more_mobile {
    display: none !important;
}
.more{
    position: absolute;
    background-color: rgba(4,4,4,0.8);
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    opacity: 0;
    border-radius: 12px;
  }
  .tabs-profile,
  .tabs-mobile {
      display: none;
  }
/* RESPONSIVE */
@media(max-width: 1199px) {
    .new .new-title {
        font-size: 18px;
    }
    .icon-add {
        width: 55px;
        height: 55px;
        margin-top: 45px;
    }
    .icon-add img {
        width: 25px;
        height: 25px;
    }
    .new .new-title {
        font-size: 16px;
    }
}
@media(max-width: 991px) {
    .new .new-title {
        font-size: 18px;
    }
}
@media(max-width: 767px) {
    .browselist .list.list_pc {
        display: flex;
        margin: 0;
    }
    .playlist-tabs .browselist .playitem {
        margin-bottom: 25px;
    }
    .btn-extends {
        display: block;
        margin-left: auto;
    }
    .browselist .playitem {
        width: 100%;
    }
    .title-desktop {
        display: none;
    }
    .title-mobile {
        display: block;
    }
    .playlist-generate {
        border: none;
        padding-top: unset;
        width: unset;
        align-items: center;
        display: flex;
    }
    .playlist-generate .new {
        width: auto;
        height: auto;
        border: solid 1px var(--coloractive);
        position: unset;
        border-radius: 20px;
    }
    .icon-add {
        width: 40px;
        height: 40px;
        margin: 20px;
    }
    .title-mobile {
        font-size: 20px;
        line-height: 24px;
        padding-left: 30px;
        margin: 0;
    }
    .playlist-tabs .browselist .playitem {
        display: flex;
        align-items: center;
        padding: 0;
        position: relative;
    }
    .playitem .image {
        width: 25%;

    }
    .song-detail {
        padding-left: 30px;
    }
    .playitem .image .more {
        transition: all .4s;
    }
    .playitem .image .more.active {
        opacity: 1;
        transition: all .4s;
    }
    .list_play .playitem .title {
        margin: 0;
    }
    .heading .arrow {
        display: none;
    }
    .more_mobile {
        display: block !important;
        position: absolute;
        right: 30px;
        top: -25px;
        width: auto;
        height: auto;
        left: unset;
        background: unset;
    }
    .more_pc {
        display: none !important;
    }
    .more_mobile .list_function {
        display: flex;
        flex-direction: column;
        background-color: #5f37cf;
        border-radius: 10px;
        padding: 10px;
        min-width: 120px;
    }
    .more_mobile.active {
        opacity: 1;
    }
    .more_mobile .list_function button:not(:last-child) {
        padding-bottom: 4px;
        margin-bottom: 4px;
        border-bottom: 1px solid rgba(255,255,255,0.2)
    }
    .more_mobile .list_function button {
        font-size: 12px;
        padding: 0;
        text-align: left;
        color: #acaebd;
        display: flex;
        align-items: center;
    }
    .playitem .more .list_function button img {
        margin-right: 10px;
    }
    .playitem .more .list_function button img {
        width: 12px;
    }
    .tabs-profile {
        display: flex;
        align-items: center;
    }
    .tabs-profile .image-profile {
        width: 64px;
        height: 64px;
        border-radius: 50%;
        object-fit: cover;
    }
    .tabs-profile .icon-more{
        display: block;
        margin-left: auto;
    }
    .tabs-profile .profile-name {
        padding-left: 15px;
    }
    .tabs-profile .profile-name .name {
        font-size: 20px;
        line-height: 24px;
        color: #111a37;
        padding-bottom: 7px;
        margin: 0;
    }
    .tabs-profile .profile-name .my-profile {
        font-size: 16px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.19;
        letter-spacing: normal;
        text-align: left;
        color: #acaebd;
        margin: 0;
    }
    .tabs-mobile {
        display: block;
        padding-bottom: 22px;
        margin-bottom: 22px;
        border-bottom: 1px solid rgba(0, 0, 0, 0.15);
    }
    .tabs-pc {
        display: none;
    }
    .mypage-tabs {
        padding: 22px 15px;
    }
    .mypage-tabs .title {
        padding-bottom: 20px;
    }
    .center .playitem .title {
        text-align: left;
    }
    .following .playitem .more .list_function button img {
        margin-right: 0;
    }
}
@media(max-width: 575px) {
    .browselist .heading .title {
        padding-bottom: 21px;
        padding-right: 0;
    }
    .playitem .more .list_function button img {
        width: 10px;
    }
    .my-page .playitem .title a,
    .title-mobile {
        font-size: 18px;
        line-height: 22px;
    }
    .list_play .playitem .title {
        padding-bottom: 7px;
        line-height: 22px;
    }
    .playitem .like {
        font-size: 16px;
        line-height: 22px;
    }
    .playlist-tabs .browselist .playitem {
        margin-bottom: 22px;
    }
}
@media(max-width: 480px) {
    .playlist-generate .new {
        border-radius: 12px;
    }
    .icon-add {
        width: 30px;
        height: 30px;
        margin: 16px;
    }
    .icon-add img {
        width: 13px;
        height: 13px;
    }
    .song-detail,
    .title-mobile {
        padding-left: 15px;
    }
    .playitem .image {
        width: 64px;
    }
    
}